/// <reference types="cypress" />
describe('ClaimNotes', () => {
    beforeEach(() => {
        cy.login('developer');
        cy.visit(`/#/claim/${2}/notes`);
    });

    it('should add a new note', () => {
        const message = 'This is a new message.';
        cy.get('.q-page-sticky > div > button').click();
        cy.get('.q-dialog .q-card__section:nth-child(2)').type(message);
        cy.get('.q-card__actions button:nth-child(2)').click();
        cy.get('.q-card .q-card__section:nth-child(2)')
            .eq(0)
            .should('have.text', message);
    });
});
